Package

## Class InMobiUserDataModel.Builder

- All Implemented Interfaces:

      public final class InMobiUserDataModel.Builder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InMobiUserDataModel.Builder()` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `final InMobiUserDataModel.Builder` | `phoneNumber(InMobiUserDataTypes phoneNumber)` |
    `final InMobiUserDataModel.Builder` | `emailId(InMobiUserDataTypes emailId)` |
    `final InMobiUserDataModel.Builder` | `extras(HashMap<String, String> extras)` |
    `final InMobiUserDataModel` | `build()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMobiUserDataModel.Builder

          InMobiUserDataModel.Builder()

  - ### Method Detail

    - #### phoneNumber

           final InMobiUserDataModel.Builder phoneNumber(InMobiUserDataTypes phoneNumber)

    - #### emailId

           final InMobiUserDataModel.Builder emailId(InMobiUserDataTypes emailId)

    - #### extras

           final InMobiUserDataModel.Builder extras(HashMap<String, String> extras)

    - #### build

           final InMobiUserDataModel build()